declare const env: {
    api: {
        endpoint: {
            defaultValue: string;
            type: string;
            description: string;
        };
        port: {
            defaultValue: number;
            type: string;
            description: string;
        };
        routePrefix: {
            defaultValue: string;
            type: string;
            description: string;
        };
        production: {
            defaultValue: boolean;
            type: string;
            description: string;
        };
        versionCheckerEndpoint: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
    app: {
        alphaWatermark: {
            defaultValue: boolean;
            type: string;
            description: string;
        };
        betaWatermark: {
            defaultValue: boolean;
            type: string;
            description: string;
        };
        favicon: {
            defaultValue: string;
            type: string;
            description: string;
        };
        logo: {
            defaultValue: string;
            type: string;
            description: string;
        };
        logoDarkMode: {
            defaultValue: string;
            type: string;
            description: string;
        };
        rootBackground: {
            defaultValue: string;
            type: string;
            description: string;
        };
        title: {
            defaultValue: string;
            type: string;
            description: string;
        };
        theme: {
            primaryColor: {
                defaultValue: string;
                type: string;
                description: string;
            };
            secondaryColor: {
                defaultValue: string;
                type: string;
                description: string;
            };
        };
        "401Redirect": {
            defaultValue: string;
            type: string;
            description: string;
        };
        "404Image": {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
    front: {
        hostname: {
            defaultValue: string;
            type: string;
            description: string;
        };
        production: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
    client: {
        contact: {
            defaultValue: string;
            type: string;
            description: string;
        };
        name: {
            defaultValue: string;
            type: string;
            description: string;
        };
        support: {
            defaultValue: string;
            type: string;
            description: string;
        };
        website: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
    centrifugo: {
        url: {
            defaultValue: string;
            type: string;
            description: string;
        };
        token: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
    apiKeys: {
        intercom: {
            defaultValue: string;
            type: string;
            description: string;
        };
        googleMaps: {
            apiKey: {
                defaultValue: string;
                type: string;
                description: string;
            };
            mapIDs: {
                light: {
                    defaultValue: string;
                    type: string;
                    description: string;
                };
                dark: {
                    defaultValue: string;
                    type: string;
                    description: string;
                };
            };
        };
        mui: {
            defaultValue: string;
            type: string;
            description: string;
        };
        sentry: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
    nerdHistory: {
        historyKey: {
            defaultValue: string;
            type: string;
            description: string;
        };
        cookieDomain: {
            defaultValue: string;
            type: string;
            description: string;
        };
    };
    access: {
        defaultValue: string;
        type: string;
        description: string;
    };
};
export default env;
